Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List issue attachments

GET/workspaces/{organizationId}/issues/{issueId}/attachments
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Responses
200

Attachments list

attachmentsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
issueIdstringrequired
linearIdstringrequired
urlstringrequired
titlestring | nullrequired
subtitlestring | nullrequired
r2Keystring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/issues/string/attachments' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "attachments": [
    {
      "id": "string",
      "organizationId": "string",
      "issueId": "string",
      "linearId": "string",
      "url": "string",
      "title": "string",
      "subtitle": "string",
      "r2Key": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?